routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','IndexController@index');
Route::get('about', 'IndexController@about');
Route::get('contact', 'IndexController@contact');
Route::get('work','IndexController@work');
Route::get('/details/{id}','IndexController@details');
Route::get('posts/show-work/{id}','IndexController@showWork');
Route::get('search','IndexController@search');
Route::get('/send-mail', 'MailController@sendEmail');

Route::get('lang/{locale}', 'LocalizationController@index');
Auth::routes(['register' => false]);

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('post-types','PostTypeController');
Route::resource('posts','PostController');
Route::delete('posts/delete-image/{id}','PostController@deleteImage');
Route::resource('users','UserController');
Route::get('users/edit-password/{id}','UserController@editPassword');
Route::post('users/change-password/{id}','UserController@changePassword');
Route::resource('slide-images','SlideImagesController');

app/Http/Controllers/PostTypeController.php
<?php

namespace App\Http\Controllers;

use Auth;
use App\PostType;
use Illuminate\Http\Request;

class PostTypeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $collection = PostType::get();
        return view('posttypes.index',['collection' => $collection]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('posttypes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'post_type_en'=>'required',
            'post_type_kh'=>'required',
            'description_en' => 'required',
            'description_kh' => 'required',
            'status'=>'required'
        ]);

        $posttype = new PostType([
            'post_type_en' => $request->post_type_en,
            'post_type_kh' => $request->post_type_kh,
            'is_published' => $request->status,
            'description_en' => $request->description_en,
            'description_kh' => $request->description_kh,
            'created_by' => Auth::user()->id,
            'updated_by' => Auth::user()->id,
        ]);
        $posttype->save();
        return redirect('/post-types')->with('success', 'Post Type has been created successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\PostType  $postType
     * @return \Illuminate\Http\Response
     */
    public function show(PostType $postType)
    {
        $posttype = PostType::find($postType->id);
        return view('posttypes.show', ['posttype' => $posttype]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\PostType  $postType
     * @return \Illuminate\Http\Response
     */
    public function edit(PostType $postType)
    {
        $posttype = PostType::find($postType->id);
        return view('posttypes.edit', ['posttype' => $posttype]);  
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\PostType  $postType
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'post_type_en'=>'required',
            'post_type_kh'=>'required',
            'description_en' => 'required',
            'description_kh' => 'required',
            'status'=>'required'
        ]);

        $posttype = PostType::find($id);
        $posttype->post_type_en = $request->post_type_en;
        $posttype->post_type_kh = $request->post_type_kh;
        $posttype->is_published = $request->status;
        $posttype->description_en = $request->description_en;
        $posttype->description_kh = $request->description_kh;
        $posttype->updated_by = Auth::user()->id;
        $posttype->save();

        return redirect('/post-types')->with('success', 'Post Type has been updated successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\PostType  $postType
     * @return \Illuminate\Http\Response
     */
    public function destroy(PostType $postType)
    {
        $posttype = PostType::find($postType->id);
        $posttype->delete();

        return redirect('/post-types')->with('error', 'Post Type has been deleted successfully!');
    }
}

resources/views/posttypes/create.blade.php
@extends('layouts.app')
@section('css')
    <style>
        .float-right {
            margin-top: -40px;
        }

        .custom-file-label {
            cursor: pointer;
        }

    </style>
@endsection
@section('content')
<div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Post Type List</h3>
                <p class="text-subtitle text-muted">User can create by below.</p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('post-types.index') }}">Post Type</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('post-types.index') }}">Post Type List</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create Post Type</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="col-md-12">
            <div class="card">
                <form action="{{ route('post-types.store') }}" method="post" enctype="multipart/form-data"
                    id="form1">
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title">Post Type</h4>
                        <div class="float-right">
                            <a href="{{ route('post-types.index') }}" class="btn btn-danger"><i data-feather="x"></i> Close</a>
                            <button type="submit" class="btn btn-primary save-button"><i data-feather="save"></i>
                                Save</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Title (AS ENGLISH)</label>
                                    <input type="text" class="form-control" name="post_type_en" placeholder="Enter title">
                                    <p><small class="text-red">{{ $errors->first('post_type_en') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1" class="form-label">Description (AS English)</label>
                                    <textarea class="form-control" name="description_en"
                                        rows="2"></textarea>
                                    <p><small class="text-red">{{ $errors->first('description_en') }}</small></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Title (AS KHMER)</label>
                                    <input type="text" class="form-control" name="post_type_kh" placeholder="Enter title">
                                    <p><small class="text-red">{{ $errors->first('post_type_kh') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="helperText">Status</label>
                                    <div class="form-group">
                                        <select class="choices form-select status" id="status" name="status">
                                            <option value="0">Draft</option>
                                            <option value="1">Published</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1" class="form-label">Description (AS Khmer)</label>
                                    <textarea class="form-control" name="description_kh"
                                        rows="2"></textarea>
                                    <p><small class="text-red">{{ $errors->first('description_kh') }}</small></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection

resources/views/posttypes/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Post Type List</h3>
                <p class="text-subtitle text-muted">User can operation by below. <a href="{{ route('post-types.create') }}"
                        class="btn icon icon-left btn-primary"><i data-feather="plus"></i> Create</a></p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('post-types.index') }}">Post Type</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Post Type List</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body">
                <table class='table table-striped' id="table1">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Type</th>
                            <th>Status</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($collection as $i => $item)
                            <tr>
                                <td>{{ ++$i }}</td>
                                <td>{{ $item->post_type_en }}</td>
                                <td>
                                    @if ($item->is_published == 1)
                                        <span class="badge bg-success">Published</span>
                                    @else
                                        <span class="badge bg-warning">Draft</span>
                                    @endif
                                </td>
                                <td>
                                    <div class="btn-group">
                                        <div class="dropdown">
                                            <button class="btn btn-primary dropdown-toggle mr-1" type="button"
                                                id="dropdownMenuButtonIcon" data-toggle="dropdown" aria-haspopup="true"
                                                aria-expanded="false">
                                                <i class="bx bx-error-circle mr-50"></i> Action
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButtonIcon">
                                                <a class="dropdown-item" href="{{ route('post-types.show', $item->id) }}"><i
                                                        data-feather="folder-minus"></i> View</a>
                                                <a class="dropdown-item confirmation" href="#"
                                                        data-toggle="modal" data-target="#small-modal"
                                                        data-id="{{ $item->id }}"><i
                                                        data-feather="trash"></i>Delete</a>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    <div class="modal fade text-left modal-borderless fade" tabindex="-1" role="dialog" id="small-modal" style="display: none; padding-left: 0px;"
        aria-modal="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Confirmation</h5><button type="button" class="close" data-dismiss="modal"
                        aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <p>Are you sure to delete the selected record ?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal"><i class="mdi mdi-close"></i>
                        Close</button>
                    <form action="" method="post" id="form">
                        @method('DELETE')
                        @csrf
                        <button type="submit" class="btn btn-sm btn-danger"><i class="mdi mdi-delete"></i> Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('js')
    <script>
        $(document).ready(function() {
            $('.confirmation').click(function() {
                $('#form').attr('action', "post-types/" + $(this).attr('data-id'));
            })
        })
    </script>
@endsection

resources/views/posttypes/show.blade.php
@extends('layouts.app')
@section('css')
    <style>
        .float-right {
            margin-top: -40px;
        }

        .save-button {
            display: none;
        }

        .custom-file-label {
            cursor: pointer;
        }

    </style>
@endsection
@section('content')
<div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Post Type List</h3>
                <p class="text-subtitle text-muted">User can create by below.</p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('post-types.index') }}">Post Type</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('post-types.index') }}">Post Type List</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create Post Type</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="col-md-12">
            <div class="card">
                <form action="{{ route('post-types.update', $posttype->id) }}" method="post" enctype="multipart/form-data"
                    id="form1">
                    @method('PATCH')
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title">Post Type</h4>
                        <div class="float-right">
                            <a href="{{ route('post-types.index') }}" class="btn btn-danger"><i data-feather="x"></i> Close</a>
                            <button type="button" class="btn btn-primary update-button"><i data-feather="refresh-cw"></i> Update</button>
                            <button type="submit" class="btn btn-primary save-button"><i data-feather="save"></i> Save</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Title (AS ENGLISH)</label>
                                <input type="text" class="form-control" name="post_type_en" placeholder="Enter title" value="{{ $posttype->post_type_en}}">
                                    <p><small class="text-red">{{ $errors->first('post_type_en') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1" class="form-label">Description (AS English)</label>
                                    <textarea class="form-control" name="description_en"
                                        rows="2">{{ $posttype->description_en }}</textarea>
                                    <p><small class="text-red">{{ $errors->first('description_en') }}</small></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Title (AS KHMER)</label>
                                    <input type="text" class="form-control" name="post_type_kh" placeholder="Enter title" value="{{ $posttype->post_type_kh }}">
                                    <p><small class="text-red">{{ $errors->first('post_type_kh') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="helperText">Status</label>
                                    <div class="form-group">
                                        <select class="choices form-select status" id="status" name="status">
                                            <option value="0" {{ $posttype->is_published == 0 ? "selected":"" }}>Draft</option>
                                            <option value="1" {{ $posttype->is_published == 1 ? "selected":"" }}>Published</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1" class="form-label">Description (AS Khmer)</label>
                                    <textarea class="form-control" name="description_kh"
                                        rows="2">{{ $posttype->description_kh }}</textarea>
                                    <p><small class="text-red">{{ $errors->first('description_kh') }}</small></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection
@section('js')
    <script type="text/javascript">
        $(document).ready(function() {
            $('.summernote_en').summernote({
                height: 200,
                tooltip: false,
            });
            $('.summernote_kh').summernote({
                height: 200,
                tooltip: false,
            });

            $('input[type=text],textarea, *').prop('readonly', true);

            $('.save-button').click(function() {
                $('.save-button').hide();
                $('.update-button').show();
                $('input[type=text],textarea, *').prop('readonly', true);
                //event.preventDefault();
            })

            $('.update-button').click(function() {
                $('.update-button').hide();
                $('.save-button').show();
                $('input[type=text],textarea, *').prop('readonly', false);
                event.preventDefault();
            })
        })
    </script>
@endsection